Bug 838970 - Mouse unresponsive for 2 seconds after keypress
Mouse unresponsive for 2 seconds after keypress
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-10 10:24 EDT by John Fenley
Modified: 2013-08-01 04:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:30:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Fenley 2012-07-10 10:24:13 EDT
Description of problem:
Mouse is unresponsive for 2 seconds after any keypress. Scroll wheel, mouse buttons and movement have no effect. It's quite annoying, and for a long time seemed to be some sort of intermittent lockup.

Version-Release number of selected component (if applicable):
using Fedora 17


How reproducible:
Every time.

Steps to Reproduce:
1. press any key on keyboard.
2. immediately move mouse.
  
Actual results:
Mouse appears frozen for approximately 2 seconds


Expected results:
mouse should move as normal even when keys are pressed. 


Additional info:
Problem occurs on laptop touchpad, and usb mouse when a key is pressed on either the laptop keyboard or a usb keyboard.

a keypress also stops the mouse while the mouse is moving.

mouse input is discarded rather than queued as is sometimes the case with momentary crashes.

Clock keeps updating while mouse is unresponsive, and keyboard has no delay problems.
Comment 1 John Fenley 2012-07-10 17:51:55 EDT
An update seems to have fixed the issue, or there is a more complicated precursor condition to trigger the issue.
Comment 2 John Fenley 2012-07-18 15:41:45 EDT
The problem seems to still be present(possibly intermittently) when using my laptop touchpad.
Comment 3 Peter Hutterer 2013-01-29 02:50:36 EST
do you have syndaemon running? enabled in gnome in the touchpad settings "disable touchpad while typing"
Comment 4 Fedora End Of Life 2013-07-03 22:30:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 04:30:45 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.